<template>
  <div class="app-container">
    <el-form ref="form" :model="listQuery" label-width="80px">
      <el-row>
        <el-col :span="5">
          <el-form-item label="自查任务">
            <el-input v-model="listQuery.filter.inspectionName"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="9">
          <el-form-item label="检查时间">

             <el-col :span="11">
      <el-date-picker
              style="width:100%"
              v-model="listQuery.filter.inspectionStartTime"
              type="date"
              format="yyyy-MM-dd"
              placeholder="选择开始日期"
            >
            </el-date-picker>
    </el-col>
    <el-col style="text-align:center" :span="2">-</el-col>
    <el-col :span="11">
    <el-date-picker
              v-model="listQuery.filter.inspectionEndTime"
              style="width:100%"
              type="date"
              format="yyyy-MM-dd"
              placeholder="选择结束日期"
            >
            </el-date-picker>
    </el-col>
          </el-form-item>
        </el-col>
        <el-col :span="5">
          <el-form-item label="检查人员">
            <el-input v-model="listQuery.filter.inspectorName"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="5" style="text-align: center">
          <el-button
            type="primary"
            icon="el-icon-search"
            class="btns"
            @click="find()"
            >搜索</el-button
          >
          <el-button
            type="primary"
            icon="el-icon-plus"
            class="btns"
            @click="jump()"
            >新增</el-button
          >
            <el-button
                type="primary"
                class="btns"
                @click="reset()"
            >重置</el-button
            >
        </el-col>
      </el-row>
    </el-form>
    <el-table :data="list" border style="width: 100%">
      <el-table-column align="center" prop="inspectionName" label="自查任务">
      </el-table-column>
      <el-table-column align="center" prop="createTime" label="检查时间">
      </el-table-column>
      <el-table-column align="center" prop="inspectorName" label="检查人员">
      </el-table-column>
      <el-table-column align="center" label="状态">
        <template slot-scope="scope">
          <span v-if="scope.row.status == -1">暂存</span>
          <span v-if="scope.row.status == 0">评审中</span>
          <span v-if="scope.row.status == 1">已评审</span>
        </template>
      </el-table-column>
      <el-table-column align="center" prop="updateTime" label="更新时间">
      </el-table-column>
      <el-table-column align="center" label="操作">
        <template slot-scope="scope">
          <el-button v-if="scope.row.status==-1" @click="handleClick(scope.row)" type="text" size="small"
            >编辑</el-button
          >
           <el-button v-if="scope.row.status==0" @click="handleClick(scope.row)" type="text" size="small"
            >去评审</el-button
          >
           <el-button v-if="scope.row.status==1" @click="handleClick(scope.row)" type="text" size="small"
            >查看</el-button
          >
          <el-button  @click="Del(scope.row.id)" v-if="scope.row.status==1?false:true" type="text" size="small" style="color: red"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </el-table>
    <div style="text-align: right">
      <el-pagination
        v-show="recordTotal > 0"
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="currentPage"
        :page-sizes="[10, 20, 30, 50]"
        :page-size="pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="recordTotal"
      >
      </el-pagination>
    </div>
  </div>
</template>
<script>
import { safetySelfInspectionList,safetySelfInspectionDel} from "@/api/safetySelfInspection.js";
export default {
  data() {
    return {
      dialogVisible: false,
      form: {},
      listQuery: {
        filter: {
          inspectionName: "",
          inspectorName: "",
          inspectionStartTime: "",
          inspectionEndTime: "",
          status: "",
        },
        pageIndex: 1,
        pageSize: 5,
      },
      list: [],
      pageSize: 10,
      recordTotal: 0,
      currentPage: 1,
    };
  },
  created() {
    this.safetySelfInspectionL();
  },
  methods: {
      reset(){
          this.listQuery.filter={}
          this.listQuery.pageIndex=1
          this.listQuery.pageSize=10
          this.safetySelfInspectionL();
      },

    async safetySelfInspectionL() {
      var res = await safetySelfInspectionList(this.listQuery).then((res) => {
        if (res.data.code == 200) {
          this.list = res.data.result.records;
          this.recordTotal = res.data.result.total;
          this.pageSize = res.data.result.size;
          this.currentPage = res.data.result.current;
        }
      });
    },
    handleClick(val) {
     if(val.status==-1){
        this.$router.push({
        path:"/new",
        query:{
          id:val.id,
          name:'编辑'
        }
      })
     }else if(val.status==0){
         this.$router.push({
        path:"/gojudging",
        query:{
          id:val.id
        }
      })
     }
    },
    find() {
      this.safetySelfInspectionL();
    },
    handleSizeChange(val) {
      this.listQuery.pageSize = val;
      this.safetySelfInspectionL();
    },
    handleCurrentChange(val) {
      this.listQuery.pageIndex = val;
      this.safetySelfInspectionL();
    },
    jump(){
      this.$router.push({
        path:"/new",
        query:{
          name:'添加'
        }
      })
    },
    Del(id){
        this.$confirm('确认删除吗','提示', {
            confirmButtonText: '确认',
            cancelButtonText: '取消',
            type: 'warning'
        }).then(()=>{
      safetySelfInspectionDel({id:id}).then(res=>{
        if(res.data.code==200){
          this.safetySelfInspectionL();
           this.$notify({
            title: "成功",
            message: "删除成功",
            type: "success",
            duration: 2000,
          });
        }
      })
    }
    )}
  },
};
</script>
<style scoped>
.btns {
  background-color: #034ea2;
  border: 1px solid #034ea2;
}
</style>
